#!/usr/bin/env bash

project="GA-RAWDATA-ANALYSIS"
user="andy.liu"
map_memory="mapreduce.map.memory.mb=2048"
reduce_memory="mapreduce.reduce.memory.mb=3072"

export HIVE_CONF_DIR=/data/azkaban-hadoop/command-home/hive-offline/conf

function hive_func(){

    fileName=$(basename $0 .sh)
    job_Name="$project-$fileName-$user"
#    local HIVE_CMD="/data/hadoop-alternative/hive-offline/bin/hive"
#   if [ ! -f $HIVE_CMD ];then
      HIVE_CMD="hive"
 #   fi
    echo "${HIVE_CMD} -hiveconf $map_memory -hiveconf $reduce_memory -hiveconf mapred.job.name=$job_Name"
}
